---
layout: docs
page_title: 'Commands: operator metrics'
description: |-
  The `operator metrics` command queries the metrics API
  endpoint for metrics data related to the current Nomad
  process.
---

# Command: operator metrics

The `operator metrics` command queries the [metrics API endpoint](/nomad/api-docs/metrics).

## Usage

```plaintext
nomad operator metrics [options]
```

## General Options

@include 'general_options_no_namespace.mdx'

## Metrics Specific Options

- `-pretty`: Pretty prints the JSON output
- `-format <format>`: Specify output format (`prometheus`)
- `-json`: Output the allocation in its JSON format.
- `-t`: Format and display allocation using a Go template.

## Output

The output of `nomad operator metrics` is a JSON representation of the
[metrics API endpoint](/nomad/api-docs/metrics).

```shell-session
$ nomad operator metrics -pretty
{
  "Counters": [
    {
      "Count": 11,
      "Labels": {},
      "Max": 1.0,
      "Mean": 1.0,
      "Min": 1.0,
      "Name": "nomad.nomad.rpc.query",
      "Stddev": 0.0,
      "Sum": 11.0
    }
  ],
  "Gauges": [
    {
      "Labels": {
        "node_id": "cd7c3e0c-0174-29dd-17ba-ea4609e0fd1f",
        "datacenter": "dc1"
      },
      "Name": "nomad.client.allocations.blocked",
      "Value": 0.0
    },
    {
      "Labels": {
        "datacenter": "dc1",
        "node_id": "cd7c3e0c-0174-29dd-17ba-ea4609e0fd1f"
      },
      "Name": "nomad.client.allocations.migrating",
      "Value": 0.0
    }
  ],
  "Samples": [
    {
      "Count": 20,
      "Labels": {},
      "Max": 0.03544100001454353,
      "Mean": 0.023678050097078084,
      "Min": 0.00956599973142147,
      "Name": "nomad.memberlist.gossip",
      "Stddev": 0.005445327799243976,
      "Sum": 0.4735610019415617
    },
    {
      "Count": 1,
      "Labels": {},
      "Max": 0.0964059978723526,
      "Mean": 0.0964059978723526,
      "Min": 0.0964059978723526,
      "Name": "nomad.nomad.client.update_status",
      "Stddev": 0.0,
      "Sum": 0.0964059978723526
    }
  ]
}
```
